<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

$this->headLink ()->appendStylesheet ('/css/account.css');

echo '<h1>'.$translator->translate ('My Account').'</h1>';
echo '<hr>';
echo '<form id="myAccount" method="post" action="/Account">';
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('Firstname: '),
                                '<span class="bold">'.
                                $this->user->getFirstname ().
                                '</span>');
echo $this->composerTableLine ($translator->translate ('Lastname: '),
                                '<span class="bold">'.
                                $this->user->getLastname ().
                                '</span>');
echo $this->composerTableLine ($translator->translate ('Category: '),
                                $this->user->getGroup ()->getName ());
echo $this->composerTableLine ($translator->translate ('Login: '), 
                                '<input type="text" '.
                                        'name="userLogin" '.
                                        'value="'.$this->user->getLogin ().
                                        '" />');
echo $this->composerTableLine ($translator->translate ('Password: '), 
                                '<input type="password" '.
                                        'name="userPass" '.
                                        'value="" />');
echo $this->composerTableLine ($translator->translate ('E-mail: '), 
                                '<input type="text" '.
                                        'name="userMail" '.
                                        'value="'.$this->user->getEmail ().
                                        '" />');

$lang = $this->user->getLanguage ();
if (strcmp ($lang, "fr") == 0)
    $checkFrench = " selected=\"true\"";
else
    $checkFrench = "";

if (strcmp ($lang, "en") == 0)
    $checkEnglish = " selected=\"true\"";
else
    $checkEnglish = "";

if ($lang == NULL || strcmp ($lang, "auto") == 0 ||
    (!strlen ($checkFrench) && !strlen ($checkEnglish)))
    $checkAuto = " selected=\"true\"";
else
    $checkAuto = "";

echo $this->composerTableLine ($translator->translate ('Language: '),
                                '<select name="userLang">'.
                                '  <option value="auto"'.$checkAuto.'>'.
                                        $translator->translate ('Auto').
                                '  </option>'.
                                '  <option value="en"'.$checkEnglish.'>'.
                                        $translator->translate ('English').
                                '  </option>'.
                                '  <option value="fr"'.$checkFrench.'>'.
                                        $translator->translate ('French').
                                '  </option>'.
                                '</select>');

if ($this->user->getAdvancedProgrammation ())
    $checked = " checked=\"true\"";
else
    $checked = "";

echo $this->composerTableLine ($translator->translate ('Advanced programmation: '), 
                                '<input type="checkbox" '.
                                        'name="userAdv" '.
                                        'value="1" '.$checked.
                                        '/>');
echo $this->composerTableLine ('<input type="submit" '.
                                'value="'
                                .$translator->translate ('Apply').'" />',
                                '', 'MERGED');
echo $this->composerTableLine ('', '', 'FOOT');
echo '</form>';
